phosh-wayland: Don't require wlr-foreign-toplevel-manager extension

It's not very widely implemented yet and it's considered a privileged
protocol that's unlikely to be exposed by default anyway.

Closes #144
5 jobs for no-ftm-req in 7 minutes and 14 seconds (queued for 1 second)
latest
Status Job ID Name Coverage
  Build
passed #137660
librem5
build:native

00:01:51

 
  Test
passed #137662
librem5
test:smoke:one-output

00:02:15

passed #137663
librem5
test:smoke:two-outputs

00:02:12

passed #137661
librem5
unit-test:native

00:01:27

6.1%
 
  Package
passed #137664
librem5
package:deb

00:01:41